cURL
curl --request PUT \ --url https://api.rigbox.dev/api/service-specs/{id} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "auto_enable": true, "env_vars": {}, "environment_file": "<string>", "exec_start": "<string>", "name": "<string>", "restart_policy": "<string>", "setup_script": "<string>" } '
{ "auto_enable": true, "created_at": "<string>", "env_vars": {}, "exec_start": "<string>", "id": "<string>", "name": "<string>", "restart_policy": "<string>", "source": "<string>", "systemd_unit_preview": "<string>", "updated_at": "<string>", "user_id": "<string>" }
Update a service spec’s configuration.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Service spec ID
Show child attributes
Service spec updated
Preview of the systemd unit that would be generated